diff --git a/export_stuff.py b/export_stuff.py index f826276..7800bbf 100644 --- a/export_stuff.py +++ b/export_stuff.py @@ -16,10 +16,11 @@ parts = [ (gantry.ca.left_spacer, "carrier_left_spacer", gantry.z_spacer_z), (gantry.ca.right_spacer, "carrier_right_spacer", gantry.z_spacer_z), (gantry.ca.stepper_mount, "carrier_stepper_mount", gantry.stepper_mount_z), + (gantry.g.combined_front_plate, "combined_upper_front", gantry.plate_z), ] for part, path, thickness in parts: exporters.exportDXF( - part.workplaneFromTagged("base").section(), + part.workplaneFromTagged("base").section(0.1), "dxfs/{}-{:.2f}mm.dxf".format(path, thickness), ) diff --git a/gantry.py b/gantry.py index 59f2e4c..c57b427 100644 --- a/gantry.py +++ b/gantry.py @@ -11,8 +11,8 @@ tube_h = inch(1.5) tube_wall = inch(0.075) # 1.519 #inch(0.062) column_spacing = 560 column_h = 400 -plate_z = 2.54 -plate_z2 = 10 +plate_z = inch(3 / 16) # 2.54 +plate_z2 = inch(3 / 8) # 10 x_mount_z = inch(3 / 16) # 5 stepper_mount_z = inch(3 / 16) # 5 @@ -279,6 +279,24 @@ class Gantry: self.right = stepper_mount_holes(self.right) self.right_bearing_mount = stepper_mount_holes(self.right_bearing_mount) + self.combined_front_plate = ( + cq.Workplane() + .copyWorkplane( + w.transformed( + offset=( + column_spacing / 2, + tube_h / 2, + (upper_center + lower_center) / 2, + ), + rotate=(-90, 0, 0), + ) + ) + .rect(20, upper_center - lower_center - tube_w + 5) + .extrude(plate_z) + .union(self.upper_front_plate) + .union(self.lower_front_plate) + ) + def assembly(self): return ( cq.Assembly(name="gantry") @@ -298,6 +316,7 @@ class Gantry: .add(self.right_bearing_mount, name="fixed bearing mount") .add(self.left_bearing_mount, name="floating bearing mount") .add(self.stepper_mount, name="stepper mount") + .add(self.combined_front_plate, name="combined front plate") ) @@ -309,7 +328,7 @@ carriage_h = 300 bolster_w = 30 bolster_z = 25 -z_spacer_z = 10 +z_spacer_z = inch(3 / 8) # 10 z_spacer_w = 40 z_ballscrew_len = 400